## Function `loop( start, end )`

Description:
  Returns an integer array like the values taken in a for-loop with given start and end elements and a step of 1. The notional loop corresponds to:

          for (int x = start; x < end; x++)

  If you want a floating point array, or one with a non-unit step, you can use the three-parameter version of the `loop` function. See also the `sequence` functions.

Parameters:
  `start` (integer)
    value for first element of output array
  `end` (integer)
    value one greater than last element of output array

Return Value (array of integer):
  array with `end-start` (or 0) elements `(start, start+1, start+2, ..., end-1)`

Examples:
  - `loop(0, 5) = (0, 1, 2, 3, 4)`
  - `loop(5, 0) = ()`

Signature:
  `int[] loop(int, int)`